Subject: Re: A few things

From: "Dmitry Yu. Bolkhovityanov" <[email-masked]>
Date: Fri, 30 Mar 2001 11:02:02 +0700

On 29 Mar 01 at 13:24, [email-masked] wrote:

> Le Jeudi 29 Mars 2001 11:31, vous avez Вcrit :
> > On Thu, Mar 29, 2001 at 01:58:03PM +0700, Dmitry Yu. Bolkhovityanov wrote:
> >
> > > 3. FvwmTaskBar.c uses a value of "2" for its height in the AutoHide mode,
> > >    which interferes with EdgeThickness ("2" is default).  Maybe "3" or
> > > "4" will be better?  (BTW, there too many "2"s in the text -- maybe
> > > #define/enum HIDDEN_HEIGHT nnn could be cleaner.)  And even more --
> > > wouldn't it be better for *FvwmTaskBarAutoHide to accept an optional
> > > parameter "hidden size", since on 1600x1200 displays 2 or 3 pixels is too
> > > small.
>
> AutoHide and Vertical Scrolling are incompatible that's all :o)
> Of course, *FvwmTaskBarAutoHide hidden_size will be a
> good option. Note that you can play with the border width,
> what about: Style "FvwmTaskBar" BorderWidth 10 (of course
> do not fix AutoHide + Vertical Scroll).
> There is also the possibility to do a manual hide by shading
> the taskbar with a doubleclick on its border (the best solution
> IMHO, AutoHide cause to many problems).

    Well, while testing I used exactly that setting -- BorderWidth 10.  And
this raises the second comment regarding FvwmTaskBar (well, there's a dozen
in my "notes" file ;):

   Also it should probably show when mouse moves to its border.  Is it
   possible for a module to get such events?  In case of SloppyFocus
   a simple reaction to FocusIn will be enough.  (BTW, Windoze taskbar
   works like this -- it wouldn't hide if it has focus.)

    In fact, the inspection of FvwmTaskBar.c shows that it would be much
better to make AutoHide a style option, like "Style ... AutoHide 4" (as was
suggested by somebody earlier).  There's just too much magic which should
be implemented not in a general-purpose module, but in the WM itself.

    As I understand, the only problem is related to timing -- hiding/showing
many windows simultaneously requires a scheduler, which can be not so easy
to insert to Fvwm's code.  But something like "FvwmAutoHide" module seems to
be relatively simple.

BTW, Olivier, who made the "olicha" theme screenshot?  It was obviously
     somebody who prefers koi8 to 8859-1.  It is so familiar to see
     cyrillics in place of french letters ;-).

       ___________________________________________________________________
       Dmitry Yu. Bolkhovityanov  |  Novosibirsk, RUSSIA
       phone (383-2)-39-49-56     |  The Budker Institute of Nuclear Physics
                                  |  Lab. 5-13
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dominik Vogt <[email-masked]>
Date: Fri, 30 Mar 2001 11:12:19 +0200

On Fri, Mar 30, 2001 at 11:02:02AM +0700, Dmitry Yu. Bolkhovityanov wrote:
> > Le Jeudi 29 Mars 2001 11:31, vous avez ÷crit :
>    possible for a module to get such events?

No, the window has no reliable method to detect this.

>  In case of SloppyFocus

Absolutely right.  It will most likely be done some day.

> to insert to Fvwm's code.  But something like "FvwmAutoHide" module seems to

Actually, it's much more simple to code in fvwm thatn in a module.
The module interface introduces a whole new class of problems that
has to do with timing of the communications between module, fvwm
and X server.  Although FvwmAuto is a very simple module it has or
had a lot of problems.

Bye

Dominik ^_^  ^_^

--
Dominik Vogt, email: [email-masked]
LifeBits Aktiengesellschaft, Albrechtstr. 9, D-72072 Tuebingen
fon: ++49 (0) 7071/7965-0, fax: ++49 (0) 7071/7965-20
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Mikhael Goikhman <[email-masked]>
Date: Fri, 30 Mar 2001 14:25:14 -0600

>      cyrillics in place of french letters ;-).

Oh, my. Now I see this "G|/|n|/|ral" instead of "Général".
Yes, specifying lang=fr is not enough, the 8859-1 font is needed too.
I will replace the screenshot later, sorry for everyone affected. :)

Regards,
Mikhael.